curl --request GET \
--url https://api.zivio.net/api/v3/offers \
--header 'X-API-Key: <api-key>' \
--header 'zivio-tenant-id: <api-key>'import requests
url = "https://api.zivio.net/api/v3/offers"
headers = {
"X-API-Key": "<api-key>",
"zivio-tenant-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', 'zivio-tenant-id': '<api-key>'}
};
fetch('https://api.zivio.net/api/v3/offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"offers": [
{
"id": "23",
"bid_id": "423",
"status": "pending",
"rate": "1500.00",
"rate_ccy": "GBP",
"budget": "55500.00",
"budget_ccy": "GBP",
"declined_reason": "project cancelled",
"version": "0",
"skip_acceptance": "false",
"start_date": "2023-12-25",
"due_on": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"accepted_at": "2023-11-07T05:31:56Z",
"approved_at": "2023-11-07T05:31:56Z",
"approved_by": {
"id": "7158",
"first_name": "Jack",
"last_name": "Jones",
"email": "jack_jones@example.com",
"org_name": "Organisation Ltd",
"org_id": "567",
"business_unit": "Public Private Partnerships",
"division": "Infastructure",
"department": "Bridges",
"vetting_status": "PASSED",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"custom_fields": {
"key": "value"
},
"has_oversight": "<string>"
},
"created_by": {
"id": "7158",
"first_name": "Jack",
"last_name": "Jones",
"email": "jack_jones@example.com",
"org_name": "Organisation Ltd",
"org_id": "567",
"business_unit": "Public Private Partnerships",
"division": "Infastructure",
"department": "Bridges",
"vetting_status": "PASSED",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"custom_fields": {
"key": "value"
},
"has_oversight": "<string>"
},
"supplier_contract_template": "<string>",
"client_contract_template": "<string>",
"custom_fields": {
"key": "value"
},
"job": {
"id": "23",
"title": "project title",
"description": "project description"
},
"milestone_proposals": [
{
"id": "23",
"client_suggested": "true",
"title": "milestone title",
"details": "milestone details",
"rate": "1500.00",
"rate_ccy": "GBP",
"start_date": "2023-11-07T05:31:56Z",
"due_on": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"custom_fields": {
"key": "value"
}
}
],
"line_item_proposals": [
{
"id": "23",
"item_type": "item",
"name": "Server",
"manufacturer_name": "IBM",
"manufacturer_part_number": "X789-A",
"quantity": "7.0",
"price": "1500.00",
"price_ccy": "GBP",
"uom": "Each",
"net_total_price": "1500.00",
"net_total_price_ccy": "GBP",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"custom_fields": {
"key": "value"
}
}
]
}
]
}Retrieve all Offers (SoW), filter by query
Query Parameters
Date range [2020-01-01+TO+2020-01-30], to search based on created timestamp for object.
Date range [2020-01-01+TO+2020-01-30] to search based on updated timestamp for object.
Date range [2020-01-01+TO+2020-01-30] to search based on accepted timestamp for object.
Date range [2020-01-01+TO+2020-01-30] to search based on approved timestamp for object.
Date range [2020-01-01+TO+2020-01-30] to search based on due_on timestamp for object.
Date range [2020-01-01+TO+2020-01-30] to search based on expires timestamp for object.
Filter by a status
Filter by a job_id
Filter by a supplier_id
Filter by a client_org_id
Number of results returned per request
Paginate results when number of results exceeds limit
Results are sorted by created desc as default. Ordering may be specified, available options are ['created', 'updated', 'approved'], which can be combined in a comma separated list, e.g. updated:desc,created:asc
Response
ok
Show child attributes
Show child attributes

